### Method

# EDataServer Source get_enabled

since: 3.6

#### Declaration [src]

    gboolean
    e_source_get_enabled (
      ESource* source
    )

#### Description [src]

Returns `TRUE` if `source` is enabled.

An application should try to honor this setting if at all possible, even if it does not provide a way to change the setting through its user interface. Disabled data sources should generally be hidden.

This function does not take into account `source`‘s ancestors in the `ESource` hierarchy, each of which have their own enabled state. If any of `source`‘s ancestors are disabled, then `source` itself should be treated as disabled. Use `e_source_registry_check_enabled()` to easily check for this. .

Available since: 3.6

Gets property | `EDataServer.Source:enabled`

#### Return value

Type: `gboolean`

Whether `source` is enabled.